// Traitement du signal 

// Présentation du signal sur un graphique 1 
scf(1); // Ouverture de la fenêtre
y = wavread("C:\Users\isaly\OneDrive\Documents\FABLAB\TRAITEMENT_DU_SIGNAL\Audios Captés\01-VS407AF-1.wav") // Ouverture de l'emplacement du fichier
s = y(1,1:32599); //Définition de l'axe des abscisses avec un pas de 1 allant du signal 1 à 32 599 
t = linspace(0,326,32599); // Définition du temps partant de 0 à 326 secondes contenant 32599 signaux captés en 326 secondes (1 signal est capté toutes les 10 milisecs) 
plot(t,s); // Définition du graphique
xtitle("Niveau (dB)","temps en secondes") // Titre des axes

// Transformation de Fourier sur un graphique 2 
scf(2); // Ouverture de la fenêtre
x = fft(s); // Définition de l'axe des abscisses avec la transformation de Fourier
plot(abs(x)); // Définition du graphique
xtitle("Transformation de Fourier du signal") // Titre du graphique

// Transformation de Fourier centrée sur un graphique 3 
scf(3); // Ouverture de la fenêtre
plot(fftshift(x)); // Centre la transformation de Fourier
xtitle("Transformation de Fourier centrée") // Titre du graphique 
